mscorlib [00 00 00 00 00 00 00 00 04 00 00 00 00 00 00 00] 1.0.5000.0 2.0.0.0 4.0.0.0 Gtk# is thread aware, but not thread safe; See the <link location="node:gtk-sharp/programming/threads">Gtk# Thread Programming</link> for details. System.Security.Cryptography.SymmetricAlgorithm System.Runtime.InteropServices.ComVisible(true)

A newer symmetric encryption algorithm, Advanced Encryption Standard (AES), is available. Consider using the algorithm and its derived classes instead of the class. Use only for compatibility with legacy applications and data.

Represents the base class from which all implementations of the algorithm must derive.

- Constructor
  1.0.5000.0
  2.0.0.0
  4.0.0.0

  You cannot create an instance of an abstract class. Application code will create a new instance of a derived class.

  This algorithm supports key lengths from 40 bits to 1024 bits in increments of 8 bits, but the implementation only supports key lengths from 40 bits to 128 bits in increments of 8 bits.

  This method initializes the protected fields of to the default values listed in the following table.

  Field

  Default Value

  128

  64

  64

  Initializes a new instance of .

- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Security.Cryptography.RC2

  Use this method to create an instance of the RC2 class that you can use to encrypt and decrypt data.

  Creates an instance of a cryptographic object to perform the algorithm.

  An instance of a cryptographic object.

- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Security.Cryptography.RC2 ``

  Use this method to create an instance of the RC2 class that you can use to encrypt and decrypt data.

  Creates an instance of a cryptographic object to perform the specified implementation of the algorithm.

  An instance of a cryptographic object.

  The name of the specific implementation of to use.
- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Int32 To be added. To be added.

  Gets or sets the effective size of the secret key used by the algorithm in bits.

- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Int32

  This field is accessed through the property.

  Represents the effective size of the secret key used by the algorithm in bits.

- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Int32 To be added.

  This algorithm supports key lengths from 40 bits to 1024 bits in increments of 8 bits, but the RC2CryptoServiceProvider implementation only supports key lengths from 40 bits to 128 bits in increments of 8 bits.

  Gets or sets the size of the secret key used by the algorithm in bits.